<?xml version="1.0" standalone="no"?>

<!-- $Id: stable.xml 8635 2007-07-05 11:22:33Z creckord $ -->

<!DOCTYPE UserInterface SYSTEM "http://www.upb.de/cs/fujaba/DTDs/UserInterface.dtd">

<UserInterface>

   <!-- **************************** List Actions here ********************** -->

   <Action id="refactor.extractMethod" class="de.uni_kassel.fujaba.refactorings.actions.ExtractMethodAction"
           enabled="true">
      <Name>Extract Method...</Name>
      <Mnemonic>x</Mnemonic>
      <ToolTip>Select one or more Activities to extract them from one method to form a new method without changing the
         behaviour.</ToolTip>
      <Icon>de/uni_paderborn/fujaba/app/images/none.gif</Icon>
      <Shortcut>ctrl alt M</Shortcut>
   </Action>

   <Action id="refactor.overrideMethod" class="de.uni_kassel.fujaba.refactorings.actions.OverrideMethodAction"
           enabled="true">
      <Name>Override Method(s)...</Name>
      <Mnemonic>o</Mnemonic>
      <ToolTip>Select a class that will a receive new method(s) chosen to be overridden from the superclasses.</ToolTip>
      <Icon>de/uni_paderborn/fujaba/app/images/none.gif</Icon>
      <Shortcut>ctrl alt O</Shortcut>
   </Action>

   <Action id="refactor.implementMethod" class="de.uni_kassel.fujaba.refactorings.actions.ImplementMethodAction"
           enabled="true">
      <Name>Implement Method(s)...</Name>
      <Mnemonic>i</Mnemonic>
      <ToolTip>Select a class that will a receive new method(s) chosen to be implemented from the superclasses and
         -interfaces.</ToolTip>
      <Icon>de/uni_paderborn/fujaba/app/images/none.gif</Icon>
      <Shortcut>ctrl alt I</Shortcut>
   </Action>

   <Action id="refactor.changeSignature" class="de.uni_kassel.fujaba.refactorings.actions.ChangeSignatureAction"
           enabled="true">
      <Name>Change method signature...</Name>
      <Mnemonic>s</Mnemonic>
      <ToolTip>Select a method to change name, parameters and/or return type including those of dependent
         methods.</ToolTip>
      <Icon>de/uni_paderborn/fujaba/app/images/none.gif</Icon>
      <Shortcut>ctrl alt S</Shortcut>
   </Action>

   <Action id="show.findUsages" class="de.uni_kassel.fujaba.search.FindUsagesAction" enabled="true">
      <Name>Find usages, instances etc.</Name>
      <Mnemonic>u</Mnemonic>
      <ToolTip>Find usages of the selected elements. E.g. to find instances of a class.</ToolTip>
      <Icon>de/uni_paderborn/fujaba/app/images/none.gif</Icon>
      <Shortcut>alt F7</Shortcut>
   </Action>

   <Action id="show.findDefinition" class="de.uni_kassel.fujaba.search.FindDefinitionAction" enabled="true">
      <Name>Find definition, declaration etc.</Name>
      <Mnemonic>d</Mnemonic>
      <ToolTip>Find definition of the selected elements. E.g. to find class of an object.</ToolTip>
      <Icon>de/uni_paderborn/fujaba/app/images/none.gif</Icon>
      <Shortcut>alt F6</Shortcut>
   </Action>

   <!--Action id="show.findText" class="de.uni_kassel.fujaba.search.FindText" enabled="true">
      <Name>Find text in project tree</Name>
      <Mnemonic>t</Mnemonic>
      <ToolTip>Find a text fragment in the project tree on the left.</ToolTip>
      <Icon>de/uni_paderborn/fujaba/app/images/none.gif</Icon>
      <Shortcut>ctrl shift T</Shortcut>
   </Action-->

   <Action id="include.includeClass" class="de.uni_kassel.fujaba.include.actions.IncludeClassAction" enabled="true">
      <Name>Include/Update a class definition from classpath.</Name>
      <Mnemonic>I</Mnemonic>
      <ToolTip>Add/update a class to the current project to include a class definition from classpath. Adds to the current diagram.</ToolTip>
      <Icon>de/uni_paderborn/fujaba/app/images/none.gif</Icon>
      <Shortcut>ctrl shift I</Shortcut>
   </Action>

   <Action id="include.updateClass" class="de.uni_kassel.fujaba.include.actions.IncludeClassAction" enabled="true">
      <Name>Update from classpath</Name>
      <Mnemonic>U</Mnemonic>
      <ToolTip>Update a class in the current project from the class definition from the classpath.</ToolTip>
      <Icon>de/uni_paderborn/fujaba/app/images/none.gif</Icon>
      <Shortcut>ctrl shift I</Shortcut>
   </Action>

   <Action id="show.showActivityDiagram" class="de.uni_kassel.fujaba.show.action.ShowActivityDiagramtAction" enabled="true">
      <Name>Show Activity Diagram</Name>
      <Mnemonic>a</Mnemonic>
      <ToolTip>Opens a search box containing all available activity diagrams.</ToolTip>
      <Icon>de/uni_paderborn/fujaba/app/images/none.gif</Icon>
      <Shortcut>ctrl shift M</Shortcut>
   </Action>

   <Action id="show.showClassDiagram" class="de.uni_kassel.fujaba.show.action.ShowClassDiagramAction" enabled="true">
      <Name>Show Class Diagram</Name>
      <Mnemonic>c</Mnemonic>
      <ToolTip>Opens a search box containing all available classes.</ToolTip>
      <Icon>de/uni_paderborn/fujaba/app/images/none.gif</Icon>
      <Shortcut>ctrl shift T</Shortcut>
   </Action>

   <Action id="show.showSymbol" class="de.uni_kassel.fujaba.show.action.ShowSymbolAction" enabled="true">
      <Name>Show Symbol</Name>
      <Mnemonic>s</Mnemonic>
      <ToolTip>Opens a search box containing all available objects of the project tree.</ToolTip>
      <Icon>de/uni_paderborn/fujaba/app/images/none.gif</Icon>
      <Shortcut>ctrl shift alt N</Shortcut>
   </Action>


   <!-- **************************** Define MenuBar here ********************** -->

   <MenuBar id="mainMenuBar">

      <MenuSection id="toolsMenuSection">
         <Menu id="toolsMenu">

            <MenuSection id="toolsSection">
               <Menu id="refactoringsMenu">
                  <Name>Refactorings</Name>
                  <Mnemonic>R</Mnemonic>
                  <Icon>de/uni_paderborn/fujaba/app/images/none.gif</Icon>
                  <MenuSection id="refactor">
                     <MenuItem actionId="refactor.extractMethod"/>
                     <MenuItem actionId="refactor.overrideMethod"/>
                     <MenuItem actionId="refactor.implementMethod"/>
                     <MenuItem actionId="refactor.changeSignature"/>
                  </MenuSection>
               </Menu>
               <Menu id="includeMenu">
                  <Name>Include</Name>
                  <Mnemonic>R</Mnemonic>
                  <Icon>de/uni_paderborn/fujaba/app/images/none.gif</Icon>
                  <MenuSection id="include">
                     <MenuItem actionId="include.includeClass"/>
                  </MenuSection>
               </Menu>
            </MenuSection>
         </Menu>
      </MenuSection>

      <MenuSection id="editMenuSection">
         <Menu id="editMenu">
            <MenuSection id="selectionSection">
               <Menu id="showMenu">
                  <Name>Show</Name>
                  <Mnemonic>w</Mnemonic>
                  <Icon>de/uni_paderborn/fujaba/messages/images/search.png</Icon>
                  <MenuSection id="showSection">
                     <MenuItem actionId="show.findUsages"/>
                     <MenuItem actionId="show.findDefinition"/>
                     <!--MenuItem actionId="show.findText"/-->
                     <MenuItem actionId="show.showActivityDiagram"/>
                     <MenuItem actionId="show.showClassDiagram"/>
                     <MenuItem actionId="show.showSymbol"/>
                  </MenuSection>
               </Menu>
            </MenuSection>
         </Menu>
      </MenuSection>
      
   </MenuBar>


   <!-- **************************** List PopupMenus here ********************** -->

   <PopupMenu class="de.uni_paderborn.fujaba.uml.structure.UMLClass">
      <MenuSection id="refactorings.include">
         <MenuItem actionId="include.updateClass"/>
      </MenuSection>
   </PopupMenu>

  <!-- **************************** List ToolBars here ********************** -

  <ToolBar id="MyPlugin.myDiagramToolBar" rolloverButtons="true" visible="false">
    <ToolBarSection id="MyPlugin.myDiagramToolBar.newSection">
      <Button actionId="MyPlugin.newMyNode"/>
      <Button actionId="MyPlugin.newMyEdge"/>
    </ToolBarSection>
  </ToolBar-->

</UserInterface>

      <!--
      $Log$
      Revision 1.11  2007/01/11 11:17:42  cschneid
      read class information from VM via Feature Abstraction to update Project Classes

      Revision 1.10  2006/03/02 16:41:38  cschneid
      added find text

      Revision 1.9  2006/03/02 15:58:02  cschneid
      refactorings ported to Fujaba5

      Revision 1.8  2005/03/04 10:43:42  cschneid
      mnemonic corrected

      Revision 1.7  2005/02/15 10:06:52  cschneid
      find definition

      Revision 1.6  2005/02/14 14:31:52  cschneid
      find usages

      Revision 1.5  2005/02/08 15:44:23  cschneid
      change signature refactoring

      Revision 1.4  2005/02/04 10:55:10  cschneid
      implement method refactoring

      Revision 1.3  2005/02/03 10:42:11  cschneid
      override method refactoring

      Revision 1.2  2005/01/27 09:23:05  cschneid
      Refactorings menu within [Tools]

      Revision 1.1  2005/01/27 09:02:23  cschneid
      'Extract method' refactoring

      Revision 1.3  2004/11/19 21:47:54  lowende
      Mnemonic key corrected.

      Revision 1.2  2004/07/05 12:34:27  lowende
      Id's in stable.xml full qualified now.

      Revision 1.1  2003/06/24 09:01:24  lowende
      New plugin example adding a diagram to Fujaba

      -->
